VPATH=..

CFLAGS=$(INCLUDE) -Wall

OBJECTS_CLI = ds00_cli.o

LIB_DS00 = ds00_lib.o

OBJECTS=$(LIB_DS00) $(OBJECTS_CLI) 

LIBS+=$(LIB_DS00)

ifeq ($(BUILD),WIN32)
BF=-win32

AR=i586-mingw32msvc-ar
CC=i586-mingw32msvc-gcc
CXX=i586-mingw32msvc-g++

CFLAGS+=-I/usr/local/i586-mingw32msvc/include
LIBS+=-lusb-1.0
# uncomment below to use libusb-0.1
# CFLAGS+=-I/usr/local/i586-mingw32msvc/include -DUSE_OLD_LIBUSB
#LIBS+=-lusb

LIBS+=-L/usr/local/i586-mingw32msvc/lib -lsetupapi -lole32 -ladvapi32 

else
LIBS+=-lusb-1.0
endif

$(APP): $(OBJECTS)
	$(CC) -o $(APP)_cli $(OBJECTS_CLI) $(LIBS)

clean:
	rm -f *.o $(NAME) core.*
